Index: /branches/version-2_5-dev/data/class_extends/SC_Image_Ex.php
===================================================================
--- /branches/version-2_5-dev/data/class_extends/SC_Image_Ex.php	(revision 20498)
+++ /branches/version-2_5-dev/data/class_extends/SC_Image_Ex.php	(revision 20498)
@@ -0,0 +1,29 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+require_once(CLASS_REALDIR . "SC_Image.php");
+
+class SC_Image_Ex extends SC_Image {
+}
+
+?>
Index: /branches/version-2_5-dev/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_UploadFile.php	(revision 20116)
+++ /branches/version-2_5-dev/data/class/SC_UploadFile.php	(revision 20498)
@@ -169,5 +169,5 @@
     // 画像を削除する。
     function deleteFile($keyname) {
-        $objImage = new SC_Image($this->temp_dir);
+        $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
         foreach($this->keyname as $val) {
@@ -186,5 +186,5 @@
     // 画像を削除する。
     function deleteKikakuFile($keyname) {
-        $objImage = new SC_Image($this->temp_dir);
+        $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
         foreach($this->keyname as $val) {
@@ -219,5 +219,5 @@
     function moveTempFile() {
         $cnt = 0;
-        $objImage = new SC_Image($this->temp_dir);
+        $objImage = new SC_Image_Ex($this->temp_dir);
 
         foreach($this->keyname as $val) {
@@ -241,5 +241,5 @@
     function moveTempDownFile() {
         $cnt = 0;
-        $objImage = new SC_Image($this->temp_dir);
+        $objImage = new SC_Image_Ex($this->temp_dir);
         foreach($this->keyname as $val) {
         	if(isset($this->temp_file[$cnt]) && $this->temp_file[$cnt] != "") {
@@ -432,5 +432,5 @@
     // DB上のファイルの内削除要求があったファイルを削除する。
     function deleteDBFile($arrVal) {
-        $objImage = new SC_Image($this->temp_dir);
+        $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
         foreach($this->keyname as $val) {
@@ -446,5 +446,5 @@
     // DB上のダウンロードファイルの内削除要求があったファイルを削除する。
     function deleteDBDownFile($arrVal) {
-        $objImage = new SC_Image($this->temp_dir);
+        $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
         if($arrVal['down_realfilename'] != "") {
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20497)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20498)
@@ -695,5 +695,5 @@
     function lfSaveUploadFiles(&$objUpFile, &$objDownFile, $product_id) {
         // TODO: SC_UploadFile::moveTempFileの画像削除条件見直し要
-        $objImage = new SC_Image($objUpFile->temp_dir);
+        $objImage = new SC_Image_Ex($objUpFile->temp_dir);
         $arrKeyName = $objUpFile->keyname;
         $arrTempFile = $objUpFile->temp_file;
@@ -1002,5 +1002,5 @@
             $arrRet = $this->lfGetProductData_FromDB($arrList['product_id']);
             // TODO: SC_UploadFile::deleteDBFileの画像削除条件見直し要
-            $objImage = new SC_Image($objUpFile->temp_dir);
+            $objImage = new SC_Image_Ex($objUpFile->temp_dir);
             $arrKeyName = $objUpFile->keyname;
             $arrSaveFile = $objUpFile->save_file;
Index: /branches/version-2_5-dev/data/require_classes.php
===================================================================
--- /branches/version-2_5-dev/data/require_classes.php	(revision 20497)
+++ /branches/version-2_5-dev/data/require_classes.php	(revision 20498)
@@ -39,5 +39,5 @@
 require_once(CLASS_EX_REALDIR . "SC_PageNavi_Ex.php");
 require_once(CLASS_REALDIR . "SC_Date.php");
-require_once(CLASS_REALDIR . "SC_Image.php");
+require_once(CLASS_EX_REALDIR . "SC_Image_Ex.php");
 require_once(CLASS_EX_REALDIR . "SC_UploadFile_Ex.php");
 require_once(CLASS_EX_REALDIR . "SC_SendMail_Ex.php");