Index: branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20495)
+++ branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 20507)
@@ -55,5 +55,5 @@
      */
     function completeOrder($orderStatus = ORDER_NEW) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objSiteSession = new SC_SiteSession_Ex();
         $objCartSession = new SC_CartSession_Ex();
@@ -139,5 +139,5 @@
      */
     function getOrderTemp($uniqId) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->getRow("*", "dtb_order_temp", "order_temp_id = ?",
                                  array($uniqId));
@@ -161,5 +161,5 @@
         }
         $params['device_type_id'] = SC_Display::detectDevice();
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         // 存在するカラムのみを対象とする
         $cols = $objQuery->listTableFields('dtb_order_temp');
@@ -363,5 +363,5 @@
 
         $arrPaymentIds = $this->getPayments($deliv_id);
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
 
         // 削除されていない支払方法を取得
@@ -485,5 +485,5 @@
      */
     function getDelivTime($deliv_id) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('time_id');
         $results = $objQuery->select('time_id, deliv_time',
@@ -504,5 +504,5 @@
      */
     function getDeliv($product_type_id) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('rank');
         return $objQuery->select('*', 'dtb_deliv', 'product_type_id = ?',
@@ -517,5 +517,5 @@
      */
     function getPayments($deliv_id) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->setOrder('rank');
         return $objQuery->getCol('payment_id', 'dtb_payment_options',
@@ -537,5 +537,5 @@
      */
     function registerShipping($order_id, $arrParams, $convert_shipping_date = true) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_shipping';
         $where = 'order_id = ?';
@@ -571,5 +571,5 @@
      */
     function registerShipmentItem($order_id, $shipping_id, $arrParams) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $table = 'dtb_shipment_item';
         $where = 'order_id = ? AND shipping_id = ?';
@@ -627,5 +627,5 @@
      */
     function registerOrderComplete($orderParams, &$objCartSession, $cartKey) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
 
         // 不要な変数を unset
@@ -696,5 +696,5 @@
         $table = 'dtb_order';
         $where = 'order_id = ?';
-        $objQuery = SC_Query::getSingletonInstance();
+        $objQuery = SC_Query_Ex::getSingletonInstance();
         $arrValues = $objQuery->extractOnlyColsOf($table, $arrParams);
 
@@ -744,5 +744,5 @@
         $table = 'dtb_order_detail';
         $where = 'order_id = ?';
-        $objQuery = SC_Query::getSingletonInstance();
+        $objQuery = SC_Query_Ex::getSingletonInstance();
 
         $objQuery->delete($table, $where, array($order_id));
@@ -763,5 +763,5 @@
      */
     function getOrder($order_id, $customer_id = null) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'order_id = ?';
         $arrValues = array($order_id);
@@ -781,5 +781,5 @@
      */
     function getOrderDetail($order_id, $has_order_status = true) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $dbFactory  = SC_DB_DBFactory_Ex::getInstance();
         $col = <<< __EOS__
@@ -829,5 +829,5 @@
      */
     function getShippings($order_id, $has_items = true) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrResults = array();
         $objQuery->setOrder('shipping_id');
@@ -860,5 +860,5 @@
      */
     function getShipmentItems($order_id, $shipping_id, $has_detail = true) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objProduct = new SC_Product_Ex();
         $arrResults = array();
@@ -910,5 +910,5 @@
      */
     function sfUpdateOrderStatus($orderId, $newStatus = null, $newAddPoint = null, $newUsePoint = null, &$sqlval) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
 
         $arrOrderOld = $objQuery->getRow('status, add_point, use_point, customer_id', 'dtb_order', 'order_id = ?', array($orderId));
@@ -1030,5 +1030,5 @@
      */
     function sfUpdateOrderNameCol($order_id, $temp_table = false) {
-        $objQuery =& SC_Query::getSingletonInstance();
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
 
         if ($temp_table) {