Index: /branches/version-2_5-dev/data/Smarty/templates/default/header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/header.tpl	(revision 20460)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/header.tpl	(revision 20518)
@@ -35,11 +35,11 @@
                 <!--{* ▼上ナビ *}-->
                 <!--{foreach key=HeaderInternalNaviKey item=HeaderInternalNaviItem from=$arrPageLayout.HeaderInternalNavi}-->
-                <!-- ▼<!--{$HeaderInternalNaviItem.bloc_name}--> -->
-                <!--{if $HeaderInternalNaviItem.php_path != ""}-->
-                    <!--{include_php file=$HeaderInternalNaviItem.php_path}-->
-                <!--{else}-->
-                    <!--{include file=$HeaderInternalNaviItem.tpl_path}-->
-                <!--{/if}-->
-                <!-- ▲<!--{$HeaderInternalNaviItem.bloc_name}--> -->
+                    <!-- ▼<!--{$HeaderInternalNaviItem.bloc_name}--> -->
+                    <!--{if $HeaderInternalNaviItem.php_path != ""}-->
+                        <!--{include_php file=$HeaderInternalNaviItem.php_path}-->
+                    <!--{else}-->
+                        <!--{include file=$HeaderInternalNaviItem.tpl_path}-->
+                    <!--{/if}-->
+                    <!-- ▲<!--{$HeaderInternalNaviItem.bloc_name}--> -->
                 <!--{/foreach}-->
                 <!--{* ▲上ナビ *}-->
@@ -50,11 +50,11 @@
                 <ul>
                     <li class="mypage">
-                    <a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_mypage_on.jpg','mypage');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_mypage.jpg','mypage');"><img src="<!--{$TPL_URLPATH}-->img/common/btn_header_mypage.jpg" alt="MYページ" name="mypage" id="mypage" /></a>
+                        <a href="<!--{$smarty.const.HTTPS_URL}-->mypage/login.php" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_mypage_on.jpg','mypage');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_mypage.jpg','mypage');"><img src="<!--{$TPL_URLPATH}-->img/common/btn_header_mypage.jpg" alt="MYページ" name="mypage" id="mypage" /></a>
                     </li>
                     <li class="entry">
-                    <a href="<!--{$smarty.const.ROOT_URLPATH}-->entry/kiyaku.php" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_entry_on.jpg','entry');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_entry.jpg','entry');"><img src="<!--{$TPL_URLPATH}-->img/common/btn_header_entry.jpg" alt="会員登録" name="entry" id="entry" /></a>
+                        <a href="<!--{$smarty.const.ROOT_URLPATH}-->entry/kiyaku.php" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_entry_on.jpg','entry');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_entry.jpg','entry');"><img src="<!--{$TPL_URLPATH}-->img/common/btn_header_entry.jpg" alt="会員登録" name="entry" id="entry" /></a>
                     </li>
                     <li>
-                    <a href="<!--{$smarty.const.CART_URLPATH}-->" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_cart_on.jpg','cartin');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_cart.jpg','cartin');"><img src="<!--{$TPL_URLPATH}-->img/common/btn_header_cart.jpg" alt="カゴの中を見る" name="cartin" id="cartin" /></a>
+                        <a href="<!--{$smarty.const.CART_URLPATH}-->" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_cart_on.jpg','cartin');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/common/btn_header_cart.jpg','cartin');"><img src="<!--{$TPL_URLPATH}-->img/common/btn_header_cart.jpg" alt="カゴの中を見る" name="cartin" id="cartin" /></a>
                     </li>
                 </ul>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/error.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/error.tpl	(revision 20340)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/error.tpl	(revision 20518)
@@ -22,22 +22,22 @@
  <!--▼CONTENTS-->
 <div id="undercolumn">
-  <div id="undercolumn_error">
-    <div class="message_area">
-      <!--★エラーメッセージ-->
-      <p class="error"><!--{$tpl_error}--></p>
-    </div>
+    <div id="undercolumn_error">
+        <div class="message_area">
+            <!--★エラーメッセージ-->
+            <p class="error"><!--{$tpl_error}--></p>
+        </div>
 
-    <div class="btn_area">
-    <!--{if $return_top}-->
+        <div class="btn_area">
             <ul>
                 <li>
-                    <a href="<!--{$smarty.const.TOP_URLPATH}-->" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_toppage_on.jpg','b_toppage');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_toppage.jpg','b_toppage');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_toppage.jpg" alt="トップページへ" border="0" name="b_toppage" /></a>
-                <!--{else}-->
-                    <a href="javascript:history.back()" onmouseOver="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg','b_back');" onmouseOut="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg','b_back');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" name="b_back" id="b_back" /></a>
+                    <!--{if $return_top}-->
+                        <a href="<!--{$smarty.const.TOP_URLPATH}-->" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_toppage_on.jpg','b_toppage');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_toppage.jpg','b_toppage');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_toppage.jpg" alt="トップページへ" border="0" name="b_toppage" /></a>
+                    <!--{else}-->
+                        <a href="javascript:history.back()" onmouseOver="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back_on.jpg','b_back');" onmouseOut="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_back.jpg','b_back');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_back.jpg" alt="戻る" name="b_back" id="b_back" /></a>
+                    <!--{/if}-->
                 </li>
             </ul>
-    <!--{/if}-->
+        </div>
     </div>
-  </div>
 </div>
 <!--▲CONTENTS-->
Index: /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl	(revision 20408)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/cart/index.tpl	(revision 20518)
@@ -42,9 +42,9 @@
                             <!--{if $tpl_login}-->
                                 <span class="user_name"><!--{$tpl_name|h}--> 様</span>の、現在の所持ポイントは「<span class="point"><!--{$tpl_user_point|number_format|default:0}--> pt</span>」です。<br />
-                        <!--{else}-->
-                            ポイント制度をご利用になられる場合は、会員登録後ログインしてくださいますようお願い致します。<br />
-                       <!--{/if}-->
-                        ポイントは商品購入時に<span class="price">1pt＝<!--{$smarty.const.POINT_VALUE}-->円</span>として使用することができます。<br />
-                    <!--{/if}-->
+                            <!--{else}-->
+                                ポイント制度をご利用になられる場合は、会員登録後ログインしてくださいますようお願い致します。<br />
+                            <!--{/if}-->
+                            ポイントは商品購入時に<span class="price">1pt＝<!--{$smarty.const.POINT_VALUE}-->円</span>として使用することができます。<br />
+                        <!--{/if}-->
                     </div>
 
Index: /branches/version-2_5-dev/data/Smarty/templates/default/footer.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/footer.tpl	(revision 20423)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/footer.tpl	(revision 20518)
@@ -24,8 +24,8 @@
     <div id="footer" class="clearfix">
         <div id="pagetop"><a href="#top">このページの先頭へ</a></div>
-            <div id="copyright">Copyright ©
-                <!--{if $smarty.const.RELEASE_YEAR != $smarty.now|date_format:"%Y"}--><!--{$smarty.const.RELEASE_YEAR}-->-<!--{/if}--><!--{$smarty.now|date_format:"%Y"}-->
-                <!--{$arrSiteInfo.shop_name_eng|default:$arrSiteInfo.shop_name|h}--> All rights reserved.
-            </div>
+        <div id="copyright">Copyright ©
+            <!--{if $smarty.const.RELEASE_YEAR != $smarty.now|date_format:"%Y"}--><!--{$smarty.const.RELEASE_YEAR}-->-<!--{/if}--><!--{$smarty.now|date_format:"%Y"}-->
+            <!--{$arrSiteInfo.shop_name_eng|default:$arrSiteInfo.shop_name|h}--> All rights reserved.
+        </div>
     </div>
 </div>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 20459)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 20518)
@@ -36,7 +36,9 @@
     if (lat && lng) {
         var latlng = new google.maps.LatLng(lat, lng);
-        var mapOptions = {zoom: 15,
-                          center: latlng,
-                          mapTypeId: google.maps.MapTypeId.ROADMAP};
+        var mapOptions = {
+            zoom: 15,
+            center: latlng,
+            mapTypeId: google.maps.MapTypeId.ROADMAP
+        };
         var map = new google.maps.Map($("#maps").get(0), mapOptions);
         var marker = new google.maps.Marker({map: map, position: latlng});
@@ -49,78 +51,77 @@
 <div id="undercolumn">
 
-  <div id="undercolumn_aboutus">
-    <h2 class="title"><!--{$tpl_title|h}--></h2>
+    <div id="undercolumn_aboutus">
+        <h2 class="title"><!--{$tpl_title|h}--></h2>
 
-    <table summary="当サイトについて">
-    <colgroup width="20%"></colgroup>
-    <colgroup width="80%"></colgroup>
-      <!--{if strlen($objSiteInfo->data.shop_name)}-->
-        <tr>
-          <th>店名</th>
-          <td><!--{$objSiteInfo->data.shop_name|h}--></td>
-        </tr>
-      <!--{/if}-->
+        <table summary="当サイトについて">
+            <colgroup width="20%"></colgroup>
+            <colgroup width="80%"></colgroup>
+            <!--{if strlen($objSiteInfo->data.shop_name)}-->
+                <tr>
+                    <th>店名</th>
+                    <td><!--{$objSiteInfo->data.shop_name|h}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.company_name)}-->
-      <tr>
-        <th>会社名</th>
-        <td><!--{$objSiteInfo->data.company_name|h}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.company_name)}-->
+                <tr>
+                    <th>会社名</th>
+                    <td><!--{$objSiteInfo->data.company_name|h}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.zip01)}-->
-      <tr>
-        <th>住所</th>
-        <td>〒<!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br /><!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.zip01)}-->
+                <tr>
+                    <th>住所</th>
+                    <td>〒<!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br /><!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.tel01)}-->
-      <tr>
-        <th>電話番号</th>
-        <td><!--{$objSiteInfo->data.tel01|h}-->-<!--{$objSiteInfo->data.tel02|h}-->-<!--{$objSiteInfo->data.tel03|h}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.tel01)}-->
+                <tr>
+                    <th>電話番号</th>
+                    <td><!--{$objSiteInfo->data.tel01|h}-->-<!--{$objSiteInfo->data.tel02|h}-->-<!--{$objSiteInfo->data.tel03|h}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.fax01)}-->
-      <tr>
-        <th>FAX番号</th>
-        <td><!--{$objSiteInfo->data.fax01|h}-->-<!--{$objSiteInfo->data.fax02|h}-->-<!--{$objSiteInfo->data.fax03|h}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.fax01)}-->
+                <tr>
+                    <th>FAX番号</th>
+                    <td><!--{$objSiteInfo->data.fax01|h}-->-<!--{$objSiteInfo->data.fax02|h}-->-<!--{$objSiteInfo->data.fax03|h}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.email02)}-->
-      <tr>
-        <th>メールアドレス</th>
-        <td><a href="mailto:<!--{$objSiteInfo->data.email02|escape:'hex'}-->"><!--{$objSiteInfo->data.email02|escape:'hexentity'}--></a></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.email02)}-->
+                <tr>
+                    <th>メールアドレス</th>
+                    <td><a href="mailto:<!--{$objSiteInfo->data.email02|escape:'hex'}-->"><!--{$objSiteInfo->data.email02|escape:'hexentity'}--></a></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.business_hour)}-->
-      <tr>
-        <th>営業時間</th>
-        <td><!--{$objSiteInfo->data.business_hour|h}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.business_hour)}-->
+                <tr>
+                    <th>営業時間</th>
+                    <td><!--{$objSiteInfo->data.business_hour|h}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.good_traded)}-->
-      <tr>
-        <th>取扱商品</th>
-        <td><!--{$objSiteInfo->data.good_traded|h|nl2br}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.good_traded)}-->
+                <tr>
+                    <th>取扱商品</th>
+                    <td><!--{$objSiteInfo->data.good_traded|h|nl2br}--></td>
+                </tr>
+            <!--{/if}-->
 
-      <!--{if strlen($objSiteInfo->data.message)}-->
-      <tr>
-        <th>メッセージ</th>
-        <td><!--{$objSiteInfo->data.message|h|nl2br}--></td>
-      </tr>
-      <!--{/if}-->
+            <!--{if strlen($objSiteInfo->data.message)}-->
+                <tr>
+                    <th>メッセージ</th>
+                    <td><!--{$objSiteInfo->data.message|h|nl2br}--></td>
+                </tr>
+            <!--{/if}-->
 
-    </table>
+        </table>
 
-    <div id="maps"></div>
-  </div>
+        <div id="maps"></div>
+    </div>
 </div>
 <!--▲CONTENTS-->
-
Index: /branches/version-2_5-dev/data/Smarty/templates/default/popup_header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/popup_header.tpl	(revision 20470)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/popup_header.tpl	(revision 20518)
@@ -44,5 +44,5 @@
 <body>
 <noscript>
-  <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
+    <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
 </noscript>
 
Index: /branches/version-2_5-dev/data/Smarty/templates/default/site_frame.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/site_frame.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/site_frame.tpl	(revision 20518)
@@ -57,17 +57,17 @@
 </script>
 <!--{* ▼Head COLUMN*}-->
-  <!--{if $arrPageLayout.HeadNavi|@count > 0}-->
+<!--{if $arrPageLayout.HeadNavi|@count > 0}-->
     <!--{* ▼上ナビ *}-->
-      <!--{foreach key=HeadNaviKey item=HeadNaviItem from=$arrPageLayout.HeadNavi}-->
+    <!--{foreach key=HeadNaviKey item=HeadNaviItem from=$arrPageLayout.HeadNavi}-->
         <!--{* ▼<!--{$HeadNaviItem.bloc_name}--> ここから*}-->
-          <!--{if $HeadNaviItem.php_path != ""}-->
+        <!--{if $HeadNaviItem.php_path != ""}-->
             <!--{include_php file=$HeadNaviItem.php_path}-->
-          <!--{else}-->
+        <!--{else}-->
             <!--{include file=$HeadNaviItem.tpl_path}-->
-          <!--{/if}-->
+        <!--{/if}-->
         <!--{* ▲<!--{$HeadNaviItem.bloc_name}--> ここまで*}-->
-      <!--{/foreach}-->
+    <!--{/foreach}-->
     <!--{* ▲上ナビ *}-->
-  <!--{/if}-->
+<!--{/if}-->
 <!--{* ▲Head COLUMN*}-->
 </head>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/input_zip.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/input_zip.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/input_zip.tpl	(revision 20518)
@@ -22,19 +22,19 @@
 <!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_header.tpl" subtitle="住所検索" disable_wincol=1}-->
 
-  <div id="zipsearchcolumn">
+<div id="zipsearchcolumn">
     <h2>住所検索</h2>
     <div id="zipsearch_area">
-      <form name="form1" id="form1" method="post" action="?">
-        <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-        <input type="hidden" name="state" value="<!--{$tpl_state}-->" />
-        <input type="hidden" name="city" value="<!--{$tpl_city}-->" />
-        <input type="hidden" name="town" value="<!--{$tpl_town}-->" />
-        <div id="completebox">
-          <p><!--{$tpl_message}--></p>
-        </div>
-      </form>
+        <form name="form1" id="form1" method="post" action="?">
+            <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
+            <input type="hidden" name="state" value="<!--{$tpl_state}-->" />
+            <input type="hidden" name="city" value="<!--{$tpl_city}-->" />
+            <input type="hidden" name="town" value="<!--{$tpl_town}-->" />
+            <div id="completebox">
+                <p><!--{$tpl_message}--></p>
+            </div>
+        </form>
     </div>
     <div class="btn"><a href="javascript:window.close()" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_close_on.gif','b_close');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_close.gif','b_close');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_close.gif" alt="閉じる" border="0" name="b_close" /></a></div>
-  </div>
+</div>
 
 <!--{include file="`$smarty.const.TEMPLATE_REALDIR`popup_footer.tpl"}-->