Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/product_1.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/product_1.tpl	(revision 20514)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/product_1.tpl	(revision 20526)
@@ -102,5 +102,5 @@
                         <td style="padding: 15px;">
                             <a class="btn-normal" href="javascript:;" name="on_select" onclick="fnMoveSelect('category_id_unselect','category_id'); return false;">&nbsp;&nbsp;&lt;-&nbsp;登録&nbsp;&nbsp;</a><br /><br />
-                            <a class="btn-normal" href="javascript:;" name="un_select" onclick="fnMoveSelect('category_id','category_id_unselect'); return false;">&nbsp;&nbsp;削除&nbsp;-&gt;&nbsp;&nbsp</a>
+                            <a class="btn-normal" href="javascript:;" name="un_select" onclick="fnMoveSelect('category_id','category_id_unselect'); return false;">&nbsp;&nbsp;削除&nbsp;-&gt;&nbsp;&nbsp;</a>
                         </td>
                         <td>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/product_back.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/product_back.tpl	(revision 20514)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/product_back.tpl	(revision 20526)
@@ -105,5 +105,5 @@
                         <td style="padding: 15px;">
                             <a class="btn-normal" href="javascript:;" name="on_select" onclick="fnMoveSelect('category_id_unselect','category_id'); return false;">&nbsp;&nbsp;&lt;-&nbsp;登録&nbsp;&nbsp;</a><br /><br />
-                            <a class="btn-normal" href="javascript:;" name="un_select" onclick="fnMoveSelect('category_id','category_id_unselect'); return false;">&nbsp;&nbsp;削除&nbsp;-&gt;&nbsp;&nbsp</a>
+                            <a class="btn-normal" href="javascript:;" name="un_select" onclick="fnMoveSelect('category_id','category_id_unselect'); return false;">&nbsp;&nbsp;削除&nbsp;-&gt;&nbsp;&nbsp;</a>
                         </td>
                         <td>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/product.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/product.tpl	(revision 20514)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/product.tpl	(revision 20526)
@@ -102,5 +102,5 @@
                         <td style="padding: 15px;">
                             <a class="btn-normal" href="javascript:;" name="on_select" onclick="fnMoveSelect('category_id_unselect','category_id'); return false;">&nbsp;&nbsp;&lt;-&nbsp;登録&nbsp;&nbsp;</a><br /><br />
-                            <a class="btn-normal" href="javascript:;" name="un_select" onclick="fnMoveSelect('category_id','category_id_unselect'); return false;">&nbsp;&nbsp;削除&nbsp;-&gt;&nbsp;&nbsp</a>
+                            <a class="btn-normal" href="javascript:;" name="un_select" onclick="fnMoveSelect('category_id','category_id_unselect'); return false;">&nbsp;&nbsp;削除&nbsp;-&gt;&nbsp;&nbsp;</a>
                         </td>
                         <td>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mypage/navi.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mypage/navi.tpl	(revision 20525)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mypage/navi.tpl	(revision 20526)
@@ -63,5 +63,5 @@
                 <p>ようこそ&nbsp;／&nbsp;
                     <span class="user_name"><!--{$CustomerName1|h}--> <!--{$CustomerName2|h}-->様</span>
-                    <!--{if $smarty.const.USE_POINT !== false}-->&nbsp
+                    <!--{if $smarty.const.USE_POINT !== false}-->&nbsp;
                         現在の所持ポイントは&nbsp;<span class="point st"><!--{$CustomerPoint|number_format|default:"0"|h}-->pt</span>&nbsp;です。
                     <!--{/if}-->