Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 20477)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 20532)
@@ -1243,6 +1243,6 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_RW_FLG_READ_ONLY', '2', 1214, 'CSV入出力列設定読み書きフラグ: 読み込みのみ可能');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CSV_COLUMN_RW_FLG_KEY_FIELD', '3', 1215, 'CSV入出力列設定読み書きフラグ: キー列');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UNLIMITED_FLG_UNLIMITED', '"1"', 1216, '無制限フラグ：無制限');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UNLIMITED_FLG_LIMITED', '"0"', 1217, '無制限フラグ：制限有り');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UNLIMITED_FLG_UNLIMITED', '"1"', 1216, '無制限フラグ： 無制限');
+INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UNLIMITED_FLG_LIMITED', '"0"', 1217, '無制限フラグ： 制限有り');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('ECCUBE_INFO', 'true', 1218, ' EC-CUBE更新情報取得 (true:取得する false:取得しない)');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('HTTP_REQUEST_TIMEOUT', '"5"', 1219, '外部サイトHTTP取得タイムアウト時間(秒)');
Index: /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20507)
+++ /branches/version-2_5-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 20532)
@@ -719,5 +719,5 @@
      * 画像ファイルの削除可否判定用。
      * 同名ファイルの登録がある場合には画像ファイルの削除を行わない。
-     * 戻り値：同名ファイル有り(true) 同名ファイル無し(false)
+     * 戻り値： 同名ファイル有り(true) 同名ファイル無し(false)
      *
      * @param string $product_id 商品ID
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/contents/recommend.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/contents/recommend.tpl	(revision 20516)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/contents/recommend.tpl	(revision 20532)
@@ -93,5 +93,5 @@
                             </div>
                             <div class="table-detail">
-                                <div class="detail-name">商品名：<!--{$arrItems[$smarty.section.cnt.iteration].name|h}--></div>
+                                <div class="detail-name">商品名： <!--{$arrItems[$smarty.section.cnt.iteration].name|h}--></div>
                                     <div class="detail-form">
                                         <form name="form<!--{$smarty.section.cnt.iteration}-->" id="form<!--{$smarty.section.cnt.iteration}-->" method="post" action="?">
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/customer/edit_confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 20511)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 20532)
@@ -119,6 +119,6 @@
                 <th>パスワードを忘れたときのヒント<span class="attention"> *</span></th>
                 <td>
-                    質問：<!--{$arrReminder[$arrForm.reminder]|h}--><br />
-                    答え：<!--{$arrForm.reminder_answer|h}-->
+                    質問： <!--{$arrReminder[$arrForm.reminder]|h}--><br />
+                    答え： <!--{$arrForm.reminder_answer|h}-->
                 </td>
             </tr>
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl	(revision 20422)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl	(revision 20532)
@@ -90,5 +90,5 @@
 <!--{$name01|h}--> <!--{$name02|h}-->様の、現在の所持ポイントは「<!--{$tpl_user_point|number_format|default:0}-->Pt」です。<br>
 <br>
-今回ご購入合計金額：<!--{$arrPrices.subtotal|number_format}-->円<br>
+今回ご購入合計金額： <!--{$arrPrices.subtotal|number_format}-->円<br>
 (送料、手数料を含みません。)<br>
 <br>
Index: /branches/version-2_5-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 20477)
+++ /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 20532)
@@ -583,7 +583,7 @@
 /** CSV入出力列設定読み書きフラグ: キー列 */
 define('CSV_COLUMN_RW_FLG_KEY_FIELD', 3);
-/** 無制限フラグ：無制限 */
+/** 無制限フラグ： 無制限 */
 define('UNLIMITED_FLG_UNLIMITED', "1");
-/** 無制限フラグ：制限有り */
+/** 無制限フラグ： 制限有り */
 define('UNLIMITED_FLG_LIMITED', "0");
 /** EC-CUBE更新情報取得 (true:取得する false:取得しない) */