Index: /branches/version-2_5-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl	(revision 20528)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/frontparts/bloc/login_header.tpl	(revision 20554)
@@ -1,5 +1,39 @@
+<script type="text/javascript">//<![CDATA[
+    $(function(){
+        var $login_email = $('#header_login_area input[name=login_email]');
+
+        if (!$login_email.val()) {
+            $login_email
+                .val('メールアドレス')
+                .css('color', '#AAA');
+        }
+
+        $login_email
+            .focus(function() {
+                if ($(this).val() == 'メールアドレス') {
+                    $(this).val('')
+                           .css('color', '#000');
+                }
+            })
+            .blur(function() {
+                if (!$(this).val()) {
+                    $(this).val('メールアドレス')
+                           .css('color', '#AAA');
+                }
+            });
+
+        $('#header_login_form').submit(function() {
+            if ($login_email.val() == 'メールアドレス') {
+                alert('メールアドレス/パスワードを入力して下さい。');
+                return false;
+            }
+            return true;
+        });
+    });
+//]]>
+</script>
 <div class="bloc_outer">
     <div id="header_login_area" class="clearfix">
-        <form name="login_header_form" id="login_header_form" method="post" action="<!--{$smarty.const.HTTPS_URL}-->frontparts/login_check.php" onsubmit="return fnCheckLogin('login_header_form')">
+        <form name="header_login_form" id="header_login_form" method="post" action="<!--{$smarty.const.HTTPS_URL}-->frontparts/login_check.php" onsubmit="return fnCheckLogin('header_login_form')">
         <input type="hidden" name="mode" value="login" />
         <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
@@ -14,5 +48,5 @@
                             所持ポイント: <span class="point"> <!--{$tpl_user_point|number_format|default:0}--> pt</span>
                         <!--{/if}-->&nbsp;&nbsp;
-                        <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_logout_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg',this)" src="<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg" onclick="fnFormModeSubmit('login_header_form', 'logout', '', ''); return false;" alt="ログアウト" />
+                        <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_logout_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg',this)" src="<!--{$TPL_URLPATH}-->img/common/btn_header_logout.jpg" onclick="fnFormModeSubmit('header_login_form', 'logout', '', ''); return false;" alt="ログアウト" />
                     </p>
                 <!--{/if}-->
@@ -20,10 +54,10 @@
                 <ul class="formlist clearfix">
                     <li class="mail">
-                        <input type="text" class="box150" name="login_email" value="<!--{$tpl_login_email|h}-->" style="ime-mode: disabled;" />
+                        <input type="text" class="box150" name="login_email" value="<!--{$tpl_login_email|h}-->" style="ime-mode: disabled;" title="メールアドレスを入力して下さい" />
                     </li>
                     <li class="login_memory">
-                        <input type="checkbox" name="login_memory" id="login_memory" value="1" <!--{$tpl_login_memory|sfGetChecked:1}--> /><label for="login_memory"><span>記憶</span></label>
+                        <input type="checkbox" name="login_memory" id="header_login_memory" value="1" <!--{$tpl_login_memory|sfGetChecked:1}--> /><label for="header_login_memory"><span>記憶</span></label>
                     </li>
-                    <li class="password"><input type="password" class="box100" name="login_pass" /></li>
+                    <li class="password"><input type="password" class="box100" name="login_pass" title="パスワードを入力して下さい" /></li>
                     <li class="btn">
                         <input type="image" onmouseover="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_login_on.jpg',this)" onmouseout="chgImgImageSubmit('<!--{$TPL_URLPATH}-->img/common/btn_header_login.jpg',this)" src="<!--{$TPL_URLPATH}-->img/common/btn_header_login.jpg" />