Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/product.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/product.tpl	(revision 20526)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/product.tpl	(revision 20593)
@@ -61,5 +61,11 @@
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
 <!--{foreach key=key item=item from=$arrSearchHidden}-->
-<input type="hidden" name="<!--{$key}-->" value="<!--{$item|h}-->" />
+    <!--{if is_array($item)}-->
+        <!--{foreach item=c_item from=$item}-->
+        <input type="hidden" name="<!--{$key|h}-->[]" value="<!--{$c_item|h}-->" />
+        <!--{/foreach}-->
+    <!--{else}-->
+        <input type="hidden" name="<!--{$key|h}-->" value="<!--{$item|h}-->" />
+    <!--{/if}-->
 <!--{/foreach}-->
 <input type="hidden" name="mode" value="edit" />
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/confirm.tpl	(revision 20514)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/confirm.tpl	(revision 20593)
@@ -24,8 +24,14 @@
 <form name="form1" id="form1" method="post" action="?" enctype="multipart/form-data">
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
-<!--{foreach key=key item=item from=$arrSearchHidden}-->
-    <input type="hidden" name="<!--{$key}-->" value="<!--{$item|h}-->" />
-<!--{/foreach}-->
 <input type="hidden" name="mode" value="complete" />
+    <!--{foreach key=key item=item from=$arrSearchHidden}-->
+        <!--{if is_array($item)}-->
+            <!--{foreach item=c_item from=$item}-->
+            <input type="hidden" name="<!--{$key|h}-->[]" value="<!--{$c_item|h}-->" />
+            <!--{/foreach}-->
+        <!--{else}-->
+            <input type="hidden" name="<!--{$key|h}-->" value="<!--{$item|h}-->" />
+        <!--{/if}-->
+    <!--{/foreach}-->
     <!--{foreach key=key item=item from=$arrForm}-->
         <!--{if $key == 'product_status'}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/index.tpl	(revision 20568)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/index.tpl	(revision 20593)
@@ -181,6 +181,12 @@
     <input type="hidden" name="category_id" value="" />
     <!--{foreach key=key item=item from=$arrHidden}-->
-        <input type="hidden" name="<!--{$key}-->" value="<!--{$item|h}-->" />
-    <!--{/foreach}-->    
+        <!--{if is_array($item)}-->
+            <!--{foreach item=c_item from=$item}-->
+            <input type="hidden" name="<!--{$key|h}-->[]" value="<!--{$c_item|h}-->" />
+            <!--{/foreach}-->
+        <!--{else}-->
+            <input type="hidden" name="<!--{$key|h}-->" value="<!--{$item|h}-->" />
+        <!--{/if}-->
+    <!--{/foreach}-->
     <h2>検索結果一覧</h2>
     <div class="btn">
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/products/complete.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/products/complete.tpl	(revision 20573)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/products/complete.tpl	(revision 20593)
@@ -26,4 +26,13 @@
 <input type="hidden" name="mode" value="" />
 <input type="hidden" name="product_id" value="" />
+<!--{foreach key=key item=item from=$arrSearchHidden}-->
+    <!--{if is_array($item)}-->
+        <!--{foreach item=c_item from=$item}-->
+        <input type="hidden" name="<!--{$key|h}-->[]" value="<!--{$c_item|h}-->" />
+        <!--{/foreach}-->
+    <!--{else}-->
+        <input type="hidden" name="<!--{$key|h}-->" value="<!--{$item|h}-->" />
+    <!--{/if}-->
+<!--{/foreach}-->
     <div id="complete">
         <div class="complete-top"></div>
@@ -36,5 +45,5 @@
         <div class="btn-area">
             <ul>
-                <li><a class="btn-action" href="./"><span class="btn-prev">検索結果へ戻る</span></a></li>
+                <li><a class="btn-action" href="javascript:;" onclick="fnChangeAction('<!--{$smarty.const.ADMIN_PRODUCTS_URLPATH}-->'); fnModeSubmit('search','',''); return false;"><span class="btn-prev">検索結果へ戻る</span></a></li>
                 <li><a class="btn-action" href="./product.php"><span class="btn-next">続けて登録を行う</span></a></li>
                 <!--{if $smarty.const.OPTION_CLASS_REGIST == 1}-->