Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/contact/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 20407)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/contact/confirm.tpl	(revision 20607)
@@ -31,5 +31,5 @@
       <!--{foreach key=key item=item from=$arrForm}-->
         <!--{if $key ne 'mode'}-->
-      <input type="hidden" name="<!--{$key}-->" value="<!--{$item|h}-->" />
+      <input type="hidden" name="<!--{$key}-->" value="<!--{$item.value|h}-->" />
         <!--{/if}-->
       <!--{/foreach}-->
@@ -37,15 +37,15 @@
         <tr>
           <th>お名前<span class="attention">※</span></th>
-          <td><!--{$arrForm.name01|h}-->　<!--{$arrForm.name02|h}--></td>
+          <td><!--{$arrForm.name01.value|h}-->　<!--{$arrForm.name02.value|h}--></td>
         </tr>
         <tr>
           <th>お名前(フリガナ)<span class="attention">※</span></th>
-          <td><!--{$arrForm.kana01|h}-->　<!--{$arrForm.kana02|h}--></td>
+          <td><!--{$arrForm.kana01.value|h}-->　<!--{$arrForm.kana02.value|h}--></td>
         </tr>
         <tr>
           <th>郵便番号</th>
           <td>
-             <!--{if strlen($arrForm.zip01) > 0 && strlen($arrForm.zip02) > 0}-->
-               〒<!--{$arrForm.zip01|h}-->-<!--{$arrForm.zip02|h}-->
+             <!--{if strlen($arrForm.zip01.value) > 0 && strlen($arrForm.zip02.value) > 0}-->
+               〒<!--{$arrForm.zip01.value|h}-->-<!--{$arrForm.zip02.value|h}-->
              <!--{/if}-->
           </td>
@@ -53,11 +53,11 @@
         <tr>
           <th>住所</th>
-          <td><!--{$arrPref[$arrForm.pref]}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}--></td>
+          <td><!--{$arrPref[$arrForm.pref.value]}--><!--{$arrForm.addr01.value|h}--><!--{$arrForm.addr02.value|h}--></td>
         </tr>
         <tr>
           <th>電話番号</th>
           <td>
-            <!--{if strlen($arrForm.tel01) > 0 && strlen($arrForm.tel02) > 0 && strlen($arrForm.tel03) > 0}-->
-              <!--{$arrForm.tel01|h}-->-<!--{$arrForm.tel02|h}-->-<!--{$arrForm.tel03|h}-->
+            <!--{if strlen($arrForm.tel01.value) > 0 && strlen($arrForm.tel02.value) > 0 && strlen($arrForm.tel03.value) > 0}-->
+              <!--{$arrForm.tel01.value|h}-->-<!--{$arrForm.tel02.value|h}-->-<!--{$arrForm.tel03.value|h}-->
             <!--{/if}-->
           </td>
@@ -65,10 +65,10 @@
         <tr>
           <th>メールアドレス<span class="attention">※</span></th>
-          <td><a href="mailto:<!--{$arrForm.email|escape:'hex'}-->"><!--{$arrForm.email|escape:'hexentity'}--></a></td>
+          <td><a href="mailto:<!--{$arrForm.email.value|escape:'hex'}-->"><!--{$arrForm.email.value|escape:'hexentity'}--></a></td>
         </tr>
         <tr>
           <th>お問い合わせ内容<span class="attention">※</span><br />
              <span class="mini">（全角1000字以下）</span></th>
-          <td><!--{$arrForm.contents|h|nl2br}--></td>
+          <td><!--{$arrForm.contents.value|h|nl2br}--></td>
         </tr>
       </table>
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/contact/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 20540)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/contact/index.tpl	(revision 20607)
@@ -42,9 +42,9 @@
                          class="box120"
                          name="name01"
-                         value="<!--{$arrForm.name01|default:$arrData.name01|h}-->"
+                         value="<!--{$arrForm.name01.value|default:$arrData.name01|h}-->"
                          maxlength="<!--{$smarty.const.STEXT_LEN}-->"
                          style="<!--{$arrErr.name01|sfGetErrorColor}-->" />　
           名&nbsp;<input type="text" class="box120" name="name02"
-                         value="<!--{$arrForm.name02|default:$arrData.name02|h}-->"
+                         value="<!--{$arrForm.name02.value|default:$arrData.name02|h}-->"
                          maxlength="<!--{$smarty.const.STEXT_LEN}-->"
                          style="<!--{$arrErr.name02|sfGetErrorColor}-->" />
@@ -58,5 +58,5 @@
                            class="box120"
                            name="kana01"
-                           value="<!--{$arrForm.kana01|default:$arrData.kana01|h}-->"
+                           value="<!--{$arrForm.kana01.value|default:$arrData.kana01|h}-->"
                            maxlength="<!--{$smarty.const.STEXT_LEN}-->"
                            style="<!--{$arrErr.kana01|sfGetErrorColor}-->" />　
@@ -64,5 +64,5 @@
                            class="box120"
                            name="kana02"
-                           value="<!--{$arrForm.kana02|default:$arrData.kana02|h}-->"
+                           value="<!--{$arrForm.kana02.value|default:$arrData.kana02|h}-->"
                            maxlength="<!--{$smarty.const.STEXT_LEN}-->"
                            style="<!--{$arrErr.kana02|sfGetErrorColor}-->" />
@@ -78,5 +78,5 @@
                    name="zip01"
                    class="box60"
-                   value="<!--{$arrForm.zip01|default:$arrData.zip01|h}-->"
+                   value="<!--{$arrForm.zip01.value|default:$arrData.zip01|h}-->"
                    maxlength="<!--{$smarty.const.ZIP01_LEN}-->"
                    style="<!--{$arrErr.zip01|sfGetErrorColor}-->" />&nbsp;-&nbsp;
@@ -84,5 +84,5 @@
                    name="zip02"
                    class="box60"
-                   value="<!--{$arrForm.zip02|default:$arrData.zip02|h}-->"
+                   value="<!--{$arrForm.zip02.value|default:$arrData.zip02|h}-->"
                    maxlength="<!--{$smarty.const.ZIP02_LEN}-->"
                    style="<!--{$arrErr.zip02|sfGetErrorColor}-->" />　
@@ -103,5 +103,5 @@
           <select name="pref" style="<!--{$arrErr.pref|sfGetErrorColor}-->">
           <option value="">都道府県を選択</option>
-          <!--{html_options options=$arrPref selected=$arrForm.pref|default:$arrData.pref|h}-->
+          <!--{html_options options=$arrPref selected=$arrForm.pref.value|default:$arrData.pref|h}-->
           </select>
 
@@ -110,5 +110,5 @@
                    class="box380"
                    name="addr01"
-                   value="<!--{$arrForm.addr01|default:$arrData.addr01|h}-->"
+                   value="<!--{$arrForm.addr01.value|default:$arrData.addr01|h}-->"
                    style="<!--{$arrErr.addr01|sfGetErrorColor}-->" /><br />
             <!--{$smarty.const.SAMPLE_ADDRESS1}-->
@@ -119,5 +119,5 @@
                    class="box380"
                    name="addr02"
-                   value="<!--{$arrForm.addr02|default:$arrData.addr02|h}-->"
+                   value="<!--{$arrForm.addr02.value|default:$arrData.addr02|h}-->"
                    style="<!--{$arrErr.addr02|sfGetErrorColor}-->" /><br />
             <!--{$smarty.const.SAMPLE_ADDRESS2}-->
@@ -134,5 +134,5 @@
                  class="box60"
                  name="tel01"
-                 value="<!--{$arrForm.tel01|default:$arrData.tel01|h}-->"
+                 value="<!--{$arrForm.tel01.value|default:$arrData.tel01|h}-->"
                  maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->"
                  style="<!--{$arrErr.tel01|sfGetErrorColor}-->" />&nbsp;-&nbsp;
@@ -140,5 +140,5 @@
                  class="box60"
                  name="tel02"
-                 value="<!--{$arrForm.tel02|default:$arrData.tel02|h}-->"
+                 value="<!--{$arrForm.tel02.value|default:$arrData.tel02|h}-->"
                  maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->"
                  style="<!--{$arrErr.tel02|sfGetErrorColor}-->" />&nbsp;-&nbsp;
@@ -146,5 +146,5 @@
                  class="box60"
                  name="tel03"
-                 value="<!--{$arrForm.tel03|default:$arrData.tel03|h}-->"
+                 value="<!--{$arrForm.tel03.value|default:$arrData.tel03|h}-->"
                  maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->"
                  style="<!--{$arrErr.tel03|sfGetErrorColor}-->" />
@@ -158,5 +158,5 @@
                  class="box380"
                  name="email"
-                 value="<!--{$arrForm.email|default:$arrData.email|h}-->"
+                 value="<!--{$arrForm.email.value|default:$arrData.email|h}-->"
                  maxlength="<!--{$smarty.const.MTEXT_LEN}-->"
                  style="<!--{$arrErr.email|sfGetErrorColor}-->" /><br />
@@ -168,5 +168,5 @@
                  class="box380"
                  name="email02"
-                 value="<!--{$arrForm.email02|h}-->"
+                 value="<!--{$arrForm.email02.value|h}-->"
                  maxlength="<!--{$smarty.const.MTEXT_LEN}-->"
                  style="<!--{$arrErr.email02|sfGetErrorColor}-->" /><br />
@@ -183,5 +183,5 @@
                     cols="60"
                     rows="20"
-                    style="<!--{$arrErr.contents|sfGetErrorColor}-->"><!--{$arrForm.contents|h}--></textarea>
+                    style="<!--{$arrErr.contents|sfGetErrorColor}-->"><!--{$arrForm.contents.value|h}--></textarea>
         </td>
       </tr>